# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	0


# Note that this is NOT a relocatable package
%define api_version	2.0
%define lib_major	0
%define lib_name	%mklibname %{name}_ %{lib_major}

%define subrel 1

Summary:   GIMP Toolkit and GIMP Drawing Kit support library
Name:      glib%{api_version}
Version:   2.14.1
Release: %mkrel 2
License:   LGPL
Group:     System/Libraries
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/glib/glib-%{version}.tar.bz2
Source1:   glib20.sh
Source2:   glib20.csh
# Fixes an upstream regression which causes errors like:
# Invalid configuration `noarch-mandriva-linux-gnu': machine `noarch-mandriva' not recognized"
# when trying to build noarch packages: see GNOME bug #385132
Patch0:    glib2.0-noarch-regression.patch
# (fc) 2.14.1-2mdv fix crash in hook finalization (GNOME bug #476849) (SVN)
Patch1:    glib-2.14.1-fixhookcrash.patch
Patch2:    glib-CVE-2008-4316.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL:       http://www.gtk.org
Requires:  common-licenses
BuildRequires:  gettext
BuildRequires:	libtool >= 1.4.2-2mdk
BuildRequires: locales-en
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.10
%endif


%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package common
Summary: data files used by glib
Group: System/Libraries
Conflicts:  %{_lib}glib2.0_0 < 2.12.3-2mdv2007.0

%description common
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

This package contains data used by glib library.

%package -n %{lib_name}
Summary: %{summary}
Group: %{group}
Provides:	glib2 = %{version}-%{release}
Provides:	libglib2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Conflicts:  libglib1.3_13
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{lib_name}
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

This package contains the library needed to run programs dynamically
linked with the glib.

%package -n %{lib_name}-devel
Summary: Static libraries and header files of %{name}
Group:   Development/C
Provides:	glib2-devel = %{version}-%{release}
Provides:	libglib2-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib-gettextize >= %{version}
Conflicts:  libglib1.3_13-devel

%description -n %{lib_name}-devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.


%package -n glib-gettextize
Summary: Gettextize replacement
Group: Development/Other

%description -n glib-gettextize
%{name} package is designed to replace gettextize completely.
Various gettext related files are modified in glib and gtk+ to
allow better and more flexible i18n; however gettextize overwrites
them with its own copy of files, thus nullifying the changes.
If this replacement of gettextize is run instead, then all gnome
packages can potentially benefict from the changes.

%prep
%setup -n glib-%{version} -q
%patch0 -p1 -b .noarch
%patch1 -p1 -b .hookcrash
%patch2 -p1 -b .cve-2008-4316

%build

%configure2_5x \
	--enable-static \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

%check
#gw http://bugzilla.gnome.org/show_bug.cgi?id=440544
#make check

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/glib20.sh
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/glib20.csh

%find_lang glib20

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files common -f glib20.lang
%defattr(-, root, root)
%doc README
%config(noreplace) %{_sysconfdir}/profile.d/*

%files -n %{lib_name}
%defattr(-, root, root)
%doc README
%{_libdir}/libglib-%{api_version}.so.*
%{_libdir}/libgmodule-%{api_version}.so.*
%{_libdir}/libgthread-%{api_version}.so.*
%{_libdir}/libgobject-%{api_version}.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/glib-%{api_version}
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man1/*
%{_datadir}/aclocal/glib-%{api_version}.m4
%{_bindir}/glib-genmarshal
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query

%files -n glib-gettextize
%defattr(-, root, root)
%{_bindir}/glib-gettextize
%{_datadir}/aclocal/glib-gettext.m4
%{_datadir}/glib-%{api_version}




%changelog
* Wed Mar 25 2009 Rafael Cabral <cabral@mandriva.com> 2.14.1-2.1mdv2008.0
- security fix for CVE-2008-4316

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdv2008.0
+ Revision: 93673
- Patch1 (SVN): fix crash on hook finalization (GNOME bug #476849)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2008.0
+ Revision: 88888
- new version

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.com> 2.14.0-2mdv2008.0
+ Revision: 68757
- patch0 from PLD Linux: fix upstream regression breaking noarch builds (GNOME bug #385132)

* Sat Aug 04 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2008.0
+ Revision: 58861
- new version
- drop patch
- disable checks

* Tue Jul 24 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.13.7-2mdv2008.0
+ Revision: 55081
- drop patch0, fixed upstream
- patch0: fix new testsuite failure on ppc

* Fri Jul 13 2007 Frederic Crozat <fcrozat@mandriva.com> 2.13.7-1mdv2008.0
+ Revision: 51774
- Release 2.13.7 (aka no more g_thread_init warning release)

* Fri Jun 29 2007 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2008.0
+ Revision: 45874
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2008.0
+ Revision: 41045
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.13.4-2mdv2008.0
+ Revision: 36161
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.12.12-1mdv2008.0
+ Revision: 20394
- new version


* Fri Mar 09 2007 Götz Waschk <waschk@mandriva.org> 2.12.11-1mdv2007.1
+ Revision: 138716
- new version
- drop patch 1

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch1 : disable forgotten debug

* Thu Mar 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.10-1mdv2007.1
+ Revision: 137648
- Release 2.12.10

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 2.12.9-3mdv2007.1
+ Revision: 122247
- rebuild to fix pkgconfig deps

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 2.12.9-2mdv2007.1
+ Revision: 122121
- rebuild for pkgconfig provides

* Wed Jan 17 2007 Götz Waschk <waschk@mandriva.org> 2.12.9-1mdv2007.1
+ Revision: 109724
- new version
- disable gtk-doc

* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 2.12.8-1mdv2007.1
+ Revision: 108997
- new version
- drop patch

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 2.12.7-2mdv2007.1
+ Revision: 104389
- bump release
- fix build
- new version

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.12.6-1mdv2007.1
+ Revision: 100530
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.12.5-1mdv2007.1
+ Revision: 99115
- new version

* Tue Oct 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.4-4mdv2007.1
+ Revision: 65622
- patch0: fix for plt check script on ppc

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.12.4-3mdv2007.1
+ Revision: 63823
- rebuild
- rebuild
- Import glib2.0

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdv2007.0
- New version 2.12.4

* Sat Sep 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdv2007.0
- Update source 2 and 3 to prevent invalid dep on tcsh

* Sat Sep 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdv2007.0
- Create common package for non-arch data used by lib package
- Put back exec permissions on profile scripts

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2007.0
- New release 2.12.3

* Thu Aug 17 2006 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2007.0
- New release 2.12.2

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.0
- New release 2.12.1

* Tue Jul 04 2006 Gtz Waschk <waschk@mandriva.org> 2.12.0-1mdv2007.0
- fix profile.d permissions
- New release 2.12.0

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 2.11.4-1mdv2007.0
- fix rpmlint warning about missing shell bang
- New release 2.11.4

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2007.0
- New release 2.11.3

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.11.2-1
- New release 2.11.2

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-1mdv2007.0
- Release 2.11.1

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 2.10.3-1mdv2007.0
- drop patch
- New release 2.10.3

* Wed Apr 12 2006 Gtz Waschk <waschk@mandriva.org> 2.10.2-2mdk
- fix buildrequires

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-1mdk
- Release 2.10.2
- Patch0 (CVS): fix thread test

* Fri Jan 20 2006 Gtz Waschk <waschk@mandriva.org> 2.8.6-1mdk
- drop merged patch
- New release 2.8.6

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.5-2mdk
- patch1: fix convert-test for ppc

* Tue Jan 03 2006 Götz Waschk <waschk@mandriva.org> 2.8.5-1mdk
- New release 2.8.5
- use mkrel

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 2.8.4-1mdk
- New release 2.8.4

* Wed Oct 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-2mdk
- Rebuild to get debug package

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-1mdk
- Release 2.8.3

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-1mdk 
- New release 2.8.1
- Remove patch1 (merged upstream)

* Fri Aug 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.0-2mdk
- patch1: have abicheck.sh accept symbols in small data area etc.

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdk 
- Release 2.8.0

* Tue Aug 02 2005 Gtz Waschk <waschk@mandriva.org> 2.6.6-1mdk
- rpmbuildupdate fix
- New release 2.6.6

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 2.6.5-1mdk
- New release 2.6.5

* Sat Apr 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.4-1mdk 
- Release 2.6.4

* Mon Feb 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-1mdk 
- Release 2.6.3
- Remove patch1 (not needed anymore)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk 
- Fix bad encoding in source1/2 (next time, I'll check doc myself..)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk 
- Update source1/2 to use G_FILENAME_ENCODING (Mdk bug #13738)

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-1mdk
- New release 2.6.2

* Sun Jan 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- new version

* Sat Dec 18 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.0-2mdk
- Patch1: fix abicheck in test suite for ppc

* Thu Dec 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- New release 2.6.0

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.8-1mdk 
- Release 2.4.8

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.7-1mdk
- New release 2.4.7

* Tue Aug 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.6-1mdk
- new version

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.5-1mdk
- new version

* Sat Jul 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4-1mdk
- New release 2.4.4

* Sat Jun 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- reenable libtoolize
- New release 2.4.2

* Sat May 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Thu Apr 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

